Payout wallets
Get Morpho Vaults
Lists configured Morpho vaults with live APY when the org has Morpho enabled.
GEThttps://api.toku.com/hris/get-morpho-vaults
Required scope: wallets:read
curl --request GET \
--url 'https://api.toku.com/hris/get-morpho-vaults' \
--header 'Authorization: Bearer <token>'200 response
[
{
"address": "string",
"name": "string",
"chainId": 0,
"assetSymbol": "string",
"assetAddress": "string",
"assetDecimals": 0,
"apy": 0,
"totalAssets": "string"
}
]Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
chainIdintegerNOTE(ck): a .refine() rule is not mirrored here; TGA still enforces it
Response
200Successful response
addressstringrequirednamestringrequiredchainIdintegerrequiredassetSymbolstringrequiredassetAddressstringrequiredassetDecimalsintegerrequiredapynumber | nullrequiredtotalAssetsstring | nullrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits